# ReExt Designer for VS Code

This is the VS Code Extension Designer for ReExt.

## Features

The ReExt Designer simplifies development or React Applications that use the React ReExt Components.

The Designer includes several views

* Project
* SDK
* Edit
* Browser

## Documentation

* [ReExt NPM Package](https://www.npmjs.com/package/@sencha/reext)
* [ReExt Example Application](https://reextdemo.vercel.app/?version=7.8.0&toolkit=classic&theme=classic)

## Pre-requisites

* React
* @sencha/reext

## Installation

Steps to install the extension

1. Open VS Code: Launch Visual Studio Code on machine.

2. Go to the Extension tab in your VS code and click on the more option icon.

3. Click on Install from VSIX and select the downloaded VSIX file from your machine. ![Clone setup](https://reextdemo.vercel.app/ReExt/InstallFromVSIX.png)

4. Click on `New ReExt Project` button at the bottom left ![Clone setup](https://reextdemo.vercel.app/ReExt/NewProject.png)

5. Fill the form to create a new project.

For more demo videos, you can visit ([sencha youtube channel](https://www.youtube.com/Sencha))

<p align="right">(<a href="#top">back to top</a>)</p>

## Extension Settings

Include if extension adds any VS Code settings through the `contributes.configuration` extension point.

For example:

This extension contributes the following settings:

* `reextdesigner.enable`: Make this extension enable or disable.

## Release Notes

### version 0.0.x

In beta testing...



